Complete a file upload
curl --request POST \
--url https://api.ando.so/v1/files/{fileId}/complete \
--header 'x-api-key: <api-key>'const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.ando.so/v1/files/{fileId}/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ando.so/v1/files/{fileId}/complete"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text){
"data": {
"object": "file",
"id": "file_01jzn7e61x3a7v9h2r7t2m3q4p",
"file_id": "file_01jzn7e61x3a7v9h2r7t2m3q4p",
"status": "ready",
"purpose": "message_attachment",
"filename": "report.pdf",
"content_type": "application/pdf",
"size_bytes": 12345,
"created_at": "2026-05-14T08:00:00.000Z",
"updated_at": "2026-05-14T08:03:00.000Z",
"upload": null,
"download": {
"method": "GET",
"url": "https://storage.example/download/report.pdf",
"expires_at": "2026-05-14T08:04:00.000Z"
}
},
"file_id": "file_01jzn7e61x3a7v9h2r7t2m3q4p"
}Complete a file upload
Completes a direct storage upload after the client has sent the bytes to the upload URL. The route verifies storage metadata and returns a ready file when the upload is attachable.
POST
https://api.ando.so/v1
/
files
/
{fileId}
/
complete
Complete a file upload
curl --request POST \
--url https://api.ando.so/v1/files/{fileId}/complete \
--header 'x-api-key: <api-key>'const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.ando.so/v1/files/{fileId}/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ando.so/v1/files/{fileId}/complete"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text){
"data": {
"object": "file",
"id": "file_01jzn7e61x3a7v9h2r7t2m3q4p",
"file_id": "file_01jzn7e61x3a7v9h2r7t2m3q4p",
"status": "ready",
"purpose": "message_attachment",
"filename": "report.pdf",
"content_type": "application/pdf",
"size_bytes": 12345,
"created_at": "2026-05-14T08:00:00.000Z",
"updated_at": "2026-05-14T08:03:00.000Z",
"upload": null,
"download": {
"method": "GET",
"url": "https://storage.example/download/report.pdf",
"expires_at": "2026-05-14T08:04:00.000Z"
}
},
"file_id": "file_01jzn7e61x3a7v9h2r7t2m3q4p"
}Authorizations
AndoApiKeyBearerApiKey
Response
Completed file upload.
Public file response envelope.